Referenta
GET
/api/v1/user/get-organization

Returns the current user's organization logo fields (logo_url, logo_storage_path) based on the authenticated profile.

Authorization

dashboardSession
sb-access-token<token>

Authenticated dashboard session cookie. Some routes also rely on additional Supabase SSR cookies.

In: cookie

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/v1/user/get-organization"
{
  "user": {
    "logo_url": "string",
    "logo_storage_path": "string"
  }
}
{
  "error": "string",
  "details": "string",
  "receivedKeys": [
    "string"
  ]
}
{
  "error": "string",
  "details": "string",
  "receivedKeys": [
    "string"
  ]
}
{
  "error": "string",
  "details": "string",
  "receivedKeys": [
    "string"
  ]
}